// QSLPRINT.H - Headerfile for QSLPRINT.C
// Written by Stefan Pfeiffer, DL1ELY, 950605
// Last Modification: 950606
// (C) 1995 by Stefan Pfeiffer, DL1ELY@DB0PKE

#ifndef QSLPRINT_H

#define QSLPRINT_H

// Umrechnungsfaktor Inch -> mm
#define  INCH2MM   (float)254
// Umrechnungsfaktor mm -> Inch
#define  MM2INCH   (float)(1/INCH2MM)

#define CHARUNIT  (60/12)


typedef unsigned int UINT;
typedef signed int INT;
typedef unsigned char BYTE;
typedef unsigned char * PBYTE;
typedef unsigned long ULONG;

struct pparams
{
   BYTE unit;
   UINT vorlauf;
   UINT etikett_rand;
   UINT linker_rand;
   UINT rechter_rand;
   UINT oberer_rand;
   UINT unterer_rand;
   UINT breite;
   UINT hoehe;
   UINT abstand;
};

struct pdata
{
   UINT day;
   UINT mon;
   UINT year;
   UINT qrg;
   BYTE call[14];
   BYTE loc[7];
};


char get_print_params(struct pparams *);
void set_def_params(struct pparams *);
void save_print_params(struct pparams *);
void print_params(struct pparams *);
void test_print(struct pparams *);
void print_qsl(struct pparams *);
void print_tnx_qsl(struct pparams *);
void convert_print_params(struct pparams *, struct pparams *);

#endif

